/**
 * Configuration stuff
 */

#ifndef CONFIG_H_
#define CONFIG_H_


/**
 * Defines how small the difference in between two numbers should be to recognize them as equal
 */
#define MIN_DIFFERENCE (double) 0.000001

/**
 * configuring the test environment
 */
#define PERFORM_BASEVECTOR_TESTS
#define PERFORM_MATHVECTOR_TESTS
#define PERFORM_MATRIX_TESTS

/** 
 * Should cleaner but slower design of matrix using virtual functions 
 * be enabled ?
 */
#define USE_VIRTUAL_FUNCTIONS

/**
 * should the MathVector::piNorm() try to avoid overflow of double type 
 * by calculating the p - Norm of the normalized ( using p1Norm() ) vector and afterwards 
 * rescale it rather than calculate the p - Norm directly? 
 */
#define PINORM_AVOID_OVERFLOW 





#ifdef DEBUG
#define USE_VIRTUAL_FUNCTIONS
#endif

#endif /*CONFIG_H_*/
